﻿/*  
 *  TI Unresolved References 0.7
 *  Copyright (C) 2011  Ralph Schenn rschenn@t-online.de
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 ************************************************************************
 *
 * 05.10.11 Core.Error verwenden
 * 17.06.11 File.Exists statt Directory.Exists
 * 06.06.11 mehr als 1 Parameter ist ein Fehler
 * 24.05.11 Uebergabe Verzeichnis als Parameter
 *          Pruefung ob Ordner existiert
 * 19.05.11 Dateien nach Lesen wieder schliessen
 *          TreeView erst am Ende updaten
 * 19.05.11 Ersterstellung
 * 
 * +Funktionsaufrufe mit relativem Pfad werden nicht gefunden
 * (Unterscheidung von eingebauten Funktionen nur ueber Liste!)
 * 
 * +Anzeige Inhalt alg\cirmide evna\smidia ist fehlerhaft 
 * (string enthaelt \0, Schluesselwoerter Func und EndFunc 
 * auch in manuell aus Archiv extrhierter Datei nicht zu finden)
 * 
 * Sprung per Doppelklick von unterer zu oberer Ebene
 * 
 * Scrollen in TreeView per Tasten (schwierig)
 *
 */

using System;
using System.IO;
using System.Windows.Forms;

namespace UnresRef
{
    static class Program
    {
        /// <summary>
        /// Der Haupteinstiegspunkt für die Anwendung.
        /// </summary>
        [STAThread]
        static void Main(string[] args)
        {
            // Anzahl Parameter ist falsch
            if (args.Length > 1 ||
                // Verzeichnis existiert nicht
                (args.Length == 1 && !File.Exists(args[0])))
            {
                Core.Error("The call should be \"UnresRef.exe path\"");

                // Programm beenden
                return;
            }

            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            // nur gueltigen Parameter weiterreichen
            Application.Run(new MainForm(args.Length == 1 ? args[0] : null));
        }
    }
}
